curl --request PUT \
--url https://truecaller.udchowdhury.me/v1/templates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
]
}
'import requests
url = "https://truecaller.udchowdhury.me/v1/templates/{id}"
payload = {
"name": "<string>",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
body: JSON.stringify('<string>'),
variable_defaults: {},
media: {url: '<string>', file_name: '<string>'},
buttons: [{type: 'link', text: 'Track order', url: 'https://example.com/t/{{order_id}}'}]
})
};
fetch('https://truecaller.udchowdhury.me/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://truecaller.udchowdhury.me/v1/templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'body' => '<string>',
'variable_defaults' => [
],
'media' => [
'url' => '<string>',
'file_name' => '<string>'
],
'buttons' => [
[
'type' => 'link',
'text' => 'Track order',
'url' => 'https://example.com/t/{{order_id}}'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://truecaller.udchowdhury.me/v1/templates/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://truecaller.udchowdhury.me/v1/templates/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://truecaller.udchowdhury.me/v1/templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"category": "promotional",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"mime_type": "image/jpeg",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": [
"name",
"order_id"
],
"status": "draft",
"reject_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "invalid body",
"details": [
{
"path": [
"to"
],
"message": "Required"
}
]
}{
"error": "not found"
}Update a template
Replace a template. Any change moves it back to draft.
curl --request PUT \
--url https://truecaller.udchowdhury.me/v1/templates/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
]
}
'import requests
url = "https://truecaller.udchowdhury.me/v1/templates/{id}"
payload = {
"name": "<string>",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
body: JSON.stringify('<string>'),
variable_defaults: {},
media: {url: '<string>', file_name: '<string>'},
buttons: [{type: 'link', text: 'Track order', url: 'https://example.com/t/{{order_id}}'}]
})
};
fetch('https://truecaller.udchowdhury.me/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://truecaller.udchowdhury.me/v1/templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'body' => '<string>',
'variable_defaults' => [
],
'media' => [
'url' => '<string>',
'file_name' => '<string>'
],
'buttons' => [
[
'type' => 'link',
'text' => 'Track order',
'url' => 'https://example.com/t/{{order_id}}'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://truecaller.udchowdhury.me/v1/templates/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://truecaller.udchowdhury.me/v1/templates/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://truecaller.udchowdhury.me/v1/templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"body\": \"<string>\",\n \"variable_defaults\": {},\n \"media\": {\n \"url\": \"<string>\",\n \"file_name\": \"<string>\"\n },\n \"buttons\": [\n {\n \"type\": \"link\",\n \"text\": \"Track order\",\n \"url\": \"https://example.com/t/{{order_id}}\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"category": "promotional",
"body": "<string>",
"variable_defaults": {},
"media": {
"url": "<string>",
"mime_type": "image/jpeg",
"file_name": "<string>"
},
"buttons": [
{
"type": "link",
"text": "Track order",
"url": "https://example.com/t/{{order_id}}"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": [
"name",
"order_id"
],
"status": "draft",
"reject_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "invalid body",
"details": [
{
"path": [
"to"
],
"message": "Required"
}
]
}{
"error": "not found"
}Authorizations
Workspace API key from Developers → API keys. It starts with tc_live_.
Path Parameters
Body
100promotional, transactional, service Message text with {{variable}} placeholders and Truecaller text styling.
1000Used when a contact's value is empty.
Show child attributes
Show child attributes
One attachment. Upload with Upload media, or give any public https URL.
Show child attributes
Show child attributes
3Up to 3 per message. Labels and URLs can use {{variables}}.
- Link button
- Quick reply
Show child attributes
Show child attributes
Response
The updated template.
100promotional, transactional, service Message text with {{variable}} placeholders and Truecaller text styling.
1000Used when a contact's value is empty.
Show child attributes
Show child attributes
One attachment. Upload with Upload media, or give any public https URL.
Show child attributes
Show child attributes
3Up to 3 per message. Labels and URLs can use {{variables}}.
- Link button
- Quick reply
Show child attributes
Show child attributes
["name", "order_id"]
draft, submitted, approved, rejected Was this page helpful?

